﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.Entities;
using KandaAlpha.Domain.Repository;

namespace KandaAlpha.Application.Interfaces
{
    public interface IEntityService<T> where T : EntityBase
    {
        List<T> GetAll();
        void Add(T entity);
        void Update(T entity);
        void Delete(T entity);
        T Load(int entityID);
        IQueryable<T> GetQuery();
    }
}
