﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Repository;
using KandaAlpha.Application.Interfaces;
using Microsoft.Practices.ServiceLocation;

namespace KandaAlpha.Application.Impl
{
    public class ApplicationService : IApplicationService
    {

        private IUnitOfWorkFactory _uowFactory;
        private ICustomerService _custService;
        private IClassifierService _classifierService;

        public ApplicationService(
            IUnitOfWorkFactory uowFactory, 
            ICustomerService custService,
            IClassifierService classifierService)
        {
            _uowFactory = uowFactory;
            _custService = custService;
            _classifierService = classifierService;
        }

        IUnitOfWorkFactory IApplicationService.GetUnitOfWorkFactory()
        {
            return _uowFactory;
        }

        ICustomerService IApplicationService.GetCustomerService()
        {
            return _custService;
        }

        IClassifierService IApplicationService.GetClassifierService()
        {
            return _classifierService;
        }
    }
}
