﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Contracts; 
using KandaAlpha.Application.Interfaces;
using KandaAlpha.Domain.Repository;
using KandaAlpha.Domain.Model.Entities;
using System.Diagnostics.Contracts;

namespace KandaAlpha.Application.Impl
{
    public class CustomerService : EntityService<Customer>, ICustomerService
    {
        private readonly ICustomerRepository _customerRepository;

        public CustomerService(ICustomerRepository customerRepository) : base(customerRepository) 
        {
            _customerRepository = customerRepository;
        }

        public Customer GetBestCustomer()
        {
            return _customerRepository.GetBestCustomer();
        }

    }
}
