﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.Proposed.ValueObjects;
using KandaAlpha.Domain.Model.Proposed.Interfaces;

namespace KandaAlpha.Domain.Model.Proposed.Entities
{
    public class Listing : EntityBase, IHttpResource
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public int TotalViews { get; set; }

        // implement IHttpResource
        public string FriendlyUrl { get; set; }
        public Metatags Metatags { get; set; }

        public ListingStatus ListingStatus { get; set; }
        public List<ListingCategory> ListingCategories { get; set; }
        public List<Image> Images { get; set; }

        // TODO - i think we should be able to get the 'form' from the listing
        public List<FieldInstanceValue> FieldInstanceValues { get; set; }

        public Address Address { get; set; }
    }
}
