﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KandaAlpha.Domain.Repository
{

    /// <summary>
    /// Context across all repositories
    /// </summary>
    public interface IRepositoryContext : IRepositoryBase
    {
        /// <summary>
        /// Save all changes to all repositories
        /// </summary>
        /// <returns>Integer with number of objects affected</returns>
        int SaveChanges();

        /// <summary>
        /// Terminates the current repository context
        /// </summary>
        void Terminate();
    }

}
