﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using Microsoft.Practices.ServiceLocation;
using KandaAlpha.Infrastructure.Repository;
using KandaAlpha.Domain.Repository;

namespace KandaAlpha.Infrastructure.Repository.EF
{
    public class HttpRequestModule : IHttpModule
    {
        public string ModuleName
        {
            get { return "KandaAlpha.Infrastructure.Repository.EF.HttpRequestModule"; }
        }

        public void Init(HttpApplication application)
        {
            application.EndRequest +=new EventHandler(this.Application_EndRequest);
        }

        private void Application_EndRequest(object source, EventArgs e)
        {
            ServiceLocator.Current.GetInstance<IRepositoryContext>().Terminate();
        }

        public void Dispose() { }

    }
}
